'use strict';
(function(){
    'use strict';
    const url=require('url')
    const URL = require('./url.js')
    const val = require('./val.js')
    const rp = require('request-promise')

    class CommonCoreStandardsRequest extends Map{
        constructor( user ){
            super([
                ['user',user],
                ['qs',user.qs],
                ['url',URL],
                ['schemas',require('./schemas.js')]
            ]);
        }
        send(args){ return rp(args); }
        jurisdictions( ops ){
            var id='';
            if(typeof ops === "string") id += '/'+ops;
            let args = {uri:url.format(URL)+'/jurisdictions'+id,qs:this.get('qs'),json:true}
            return this.send(args);
        }
        standard_sets( ops ){
            var id='';
            if(typeof ops === "string") id += '/'+ops;
            let args = {uri:url.format(URL)+'/standard_sets'+id,qs:this.get('qs'),json:true}
            return this.send(args);
        }
        search(query){ return this.get('user').search.index.search(query); }

        // Quickies
        ss(id){ return this.standard_sets(id); }
        s( query ){ return this.search( query ); }
        jurs( ops ){ return this.jurisdictions( ops ); }
        j( id ){ return this.jurisdictions( id ); }

    }

    module.exports = CommonCoreStandardsRequest;
})();