(function(){
    'use strict';
    const fs = require('fs');

    function read(name){
        const dir = __dirname+'/samp-results/';
        try{ return JSON.parse( fs.readFileSync(`${dir}${name}.json`,'utf8') );
        }catch(e){ return e; }
        return {};
    }
    const Schemas = {
        get jurs(){
            return {
                event:'jurs',
                name:'jurisdictions',
                description:'Doc sample of request result',
                get doc(){ return read(this.name); }
            };
        },
        get sets(){
            return {
                event:'sets',
                name:'standard-sets',
                description:'Doc sample of request result',
                get doc(){ return read(this.name); }
            };
        },
        get search(){
            return {
                event:'search',
                name:'algolia-search',
                description:'Search result sample from algolia-search',
                get doc(){ return read(this.name); }
            };
        }
    };
    module.exports=Schemas;

})();